## org.eclipse.amp.agf3d
Class RenderShape

    java.lang.Object
      org.eclipse.draw3d.shapes.PositionableShape
          org.eclipse.draw3d.shapes.CuboidShape
              org.eclipse.amp.agf3d.RenderShape

All Implemented Interfaces:
  org.eclipse.draw3d.picking.Pickable, org.eclipse.draw3d.RenderFragment, org.eclipse.draw3d.shapes.Shape

Direct Known Subclasses:
  CompositeRenderShape

    public class RenderShape

extends org.eclipse.draw3d.shapes.CuboidShape

Adapated from org.eclipse.draw3d.shapes.CubiodShape

Author:
  mparker, Kristian Duske

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.draw3d.RenderFragment
`org.eclipse.draw3d.RenderFragment.RenderType`

Field Summary
`static int` `SCALE`

Constructor Summary
`RenderShape(org.eclipse.draw3d.IFigure3D figure, IRenderer renderer, java.lang.Object object)`

Method Summary
`java.lang.Object` `getModel()`
`void` `glSetColor(org.eclipse.draw3d.graphics3d.Graphics3D g3d, org.eclipse.swt.graphics.Color i_color)` Gl set color.
`void` `glSetColor(org.eclipse.draw3d.graphics3d.Graphics3D g3d, org.eclipse.swt.graphics.Color i_color, int alpha)` Gl set color.
`void` `setColor(org.eclipse.swt.graphics.Color i_color, int i_alpha)` Sets the color of this cube.
`void` `setColor(int i_color, int i_alpha)` Sets the color of the given face.
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.draw3d.shapes.CuboidShape
`getRenderType, setAlpha, setFill, setFillColor, setOutline, setOutlineColor, setTextureId`

Methods inherited from class org.eclipse.draw3d.shapes.PositionableShape
`getDistance, getDistanceMeasure, getParaxialBoundingBox, getPosition3D, render`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SCALE

    public static final int SCALE

See Also:
  Constant Field Values

Constructor Detail

### RenderShape

    public RenderShape(org.eclipse.draw3d.IFigure3D figure,
                       IRenderer renderer,
                       java.lang.Object object)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

### setColor

    public void setColor(org.eclipse.swt.graphics.Color i_color,
                         int i_alpha)

  Sets the color of this cube.

  Parameters:
    `i_color` - the color
    `i_alpha` - the alpha value
  Throws:
    `java.lang.NullPointerException` - if the given color is `null`

### setColor

    public void setColor(int i_color,
                         int i_alpha)

  Sets the color of the given face.

  Parameters:
    `i_color` - the color as an int value (fomat 0x00BBGGRR)
    `i_alpha` - the alpha value

### glSetColor

    public void glSetColor(org.eclipse.draw3d.graphics3d.Graphics3D g3d,
                           org.eclipse.swt.graphics.Color i_color)

  Gl set color.

  Parameters:
    `g3d` - the g3d

### glSetColor

    public void glSetColor(org.eclipse.draw3d.graphics3d.Graphics3D g3d,
                           org.eclipse.swt.graphics.Color i_color,
                           int alpha)

  Gl set color.

  Parameters:
    `g3d` - the g3d

### getModel

    public java.lang.Object getModel()

  Returns:
    the object